Bug 132705 - mdadm -A /dev/md$num -m $num prints super-minor warnings
mdadm -A /dev/md$num -m $num prints super-minor warnings
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Doug Ledford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-15 23:53 EDT by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-31 23:40:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2004-09-15 23:53:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
If I attempt to bring up a raid device that's not listed in
/etc/mdadm.conf, I have to specify -m (or --super-minor).  That's
fine.  However, it's not fine that it complains about super-minor
entries for unrelated devices that are listed in /etc/mdadm.conf.

# cat /etc/mdadm.conf
DEVICE partitions
ARRAY /dev/md8 super-minor=8
ARRAY /dev/md9 super-minor=9
ARRAY /dev/md10 super-minor=10
ARRAY /dev/md6 super-minor=6
ARRAY /dev/md5 super-minor=5
# mdadm -A /dev/md0 -m 0
mdadm: only specify super-minor once, super-minor=8 ignored.
mdadm: only specify super-minor once, super-minor=9 ignored.
mdadm: only specify super-minor once, super-minor=10 ignored.
mdadm: only specify super-minor once, super-minor=6 ignored.
mdadm: only specify super-minor once, super-minor=5 ignored.
mdadm: no devices found for /dev/md0

It doesn't matter whether it finds devices or not; the warnings are
printed before it searches for them.  I don't have any inactive raid
devices atm to show the output, but I've done that before.

Version-Release number of selected component (if applicable):
mdadm-1.5.0-11
Comment 1 Matthew Miller 2006-07-10 16:18:46 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.